Subject: Re: [PATCH] --format=pretty: new modifiers cID, cIS, CIY

From: Jari Aalto <[email-masked]>
Date: Sat, 02 Feb 2008 03:15:38 +0200

* Fri 2008-02-01 Junio C Hamano <[email-masked]>
> But I do not like the idea of adding more short-hand format this
> way.

I'd welcome if this mimimum set of ISO date handling woudl be included,
because I feel they address the needs more versatily than the current
%ci, which is too long with down to TZ.

I find it that the YYY-MM-DD HH:MM meets the needs 99% of the case, like
in ls(1) listing when the LC_* is properly configured.

[extensible syntax]
> 	%c(name|initial) %c(time|local,HH:MM) %c(time|gmt,HH) <%c(email)>

This would be good. In the mean time, when we wait for this feature to
surface, the current patch would address immediate needs.

Jari

-- 
Welcome to FOSS revolution: we fix and modify until it shines